## Bsoft program

# bseries

### Usage: bseries [options] input.star [input.star]

Aligns series of micrographs using consecutive pairwise cross-correlation.

### Actions:

-align 56 | Align to this reference image (image numbers start at 0).
-filament 5.3,50 | Box particles along filaments with this interval and mask width (voxels).
-extract 150,111,120 | Extract particles with this size (voxels, one sets all).

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for tilt axis (default 0,0,0).

### Parameters for alignment:

-frames | Flag to align micrograph frames.
-dose | Flag to weigh frames by accumulated dose.
-counts | Flag to rescale images based on their counts histogram.
-resolution 900,300 | High and low resolution limits for cross-correlation (default 0.1,1000 angstrom).
-shiftlimit 3.5 | Limit on origin shift relative to nominal center (default 10% of box edge size).
-edge 23,12 | Smooth the edge to a given width, with gaussian decay of a given width.
-bin 3,2,1 | Binning for alignment by given kernel size - one value = isotropic binning.
| (i.e., 2 = binning with a 2x2 kernel, changes the units).
-subset 2-8,12 | Subset of micrographs to align and average.

### Parameters for particle extraction:

-fill 127 | Fill value for particles extending beyond image (default background).
-partbase subvol | Set the particle base file name (no extension).
-partpath dir/subdir | Set the particle file paths.
-partextension pif | Set the particle image file format extension.
-helix 16.2,39.5 | Helical parameters for filament boxing: helical rise
| and angle per asymmetric unit (angstroms and degrees).
-background | Correct background of extracted particles.
-normalize | Normalize extracted particles.

### Input:

-Gainreference gr.tif | Gain reference to correct the input micrographs.
-Mask mask.tif | Mask file to use for cross-correlation.

### Output:

-output file.star | Output parameter file, if -average, also output average parameter file.
-image file.pif | Output multi-image file with aligned images.
-average file.pif | Output average of aligned images.

Bsoft version 2.0.3-20180917 (64 bit)